Page MenuHomePhabricator

Improve list styles on mobile Special:RecentChanges
Closed, ResolvedPublic5 Estimate Story Points

Description

As assessed in T224432, the list styles in Minerva for the Special:RecentChanges page need to be modified to ensure the list of results is mobile friendly.

Current mockups for list items

Technical considerations

Summarizing T224432#5336883 and T224432#5343460, The Special:RecentChanges list shares similarities with the action=history page but there are also some differences. The structure of the <ul><li> elements differ between the two pages, but the inline elements like .mw-changeslist-links .mw-diff-bytes are the same.

Common styles should be factored out of the history page and placed into a new SkinStyles module called mediawiki.special.changeslist (this will override this module in core).

For styling the distinct <ul><li> elements, we have existing mixins in minerva.mixins.less that can be used and expanded upon for this purpose (e.g. .changeslist-row(), .changeslist-row-item() ). These RecentChanges specific styles should be placed in a new RL module.

Details

Related Gerrit Patches:
mediawiki/skins/MinervaNeue : masterAdding skin styles for the changeslist module.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 18 2019, 12:58 PM
ovasileva triaged this task as High priority.Jul 18 2019, 3:18 PM
ovasileva moved this task from Incoming to Upcoming on the Readers-Web-Backlog board.
ovasileva moved this task from Needs triage to Triaged on the Mobile board.Jul 19 2019, 4:24 PM

Change 526130 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[mediawiki/skins/MinervaNeue@master] Adding skin styles for the changeslist module.

https://gerrit.wikimedia.org/r/526130

Change 526130 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Adding skin styles for the changeslist module.

https://gerrit.wikimedia.org/r/526130

Edtadros reassigned this task from Edtadros to Jdrewniak.Aug 4 2019, 3:37 PM
Edtadros added a subscriber: Edtadros.

@Jdrewniak let me know where to test this. I assume I just need to make sure the Recent Changes page looks like the screenshot in the description.

@Edtadros I think @alexhollender pretty much has the QA for this task covered in T229360, so I think I'll reassign this task to him and put it in sign-off.
There has been one bug identified with the list styles in that task, so I think once we take care of that, this task can be signed off.

ovasileva closed this task as Resolved.Aug 7 2019, 11:12 AM

Resolving